CVE-2006-2548
CVSS7.5
发布时间 :2006-05-23 06:06:00
修订时间 :2011-08-10 00:00:00
NMCO    

[原文]Prodder before 0.5, and perlpodder before 0.5, allows remote attackers to execute arbitrary code via shell metacharacters in the URL of a podcast (url attribute of an enclosure tag, or $enc_url variable), which is executed when running wget.


[CNNVD]Prodder/perlpodder 播客URL 输入验证漏洞(CNNVD-200605-431)

        Prodder是用Perl编写的基于命令行的Podcast客户端。
        Prodder的实现上存在输入验证漏洞,远程攻击者可能利用此漏洞在客户端机器上执行任意命令。
        在使用prodder获取媒体文件索引时,prodder会从服务器所提供的XML文件获取媒体文件的URL,然后使用wget获取文件。源码类似于:
        [...]
        446 # Actually get the file
        447 my $wget_cmd = "wget -qc -a '$conf{'errorfile'}' "
        448 . "--tries=3 --timeout=20 --random-wait '$enc_url' -P '$outdir'";
        449
        450 # Background the wgets if needed - this will assume
        451 # the downloads dont fail (once they've started)
        452 $wget_cmd .= " --background" if $conf{'background'};
        453
        454
        455
        456 print "Fetching item ($enc_url)... ";
        457 if (! system($wget_cmd))
        [...]
        但没有正确的过滤448行的$enc_url,因此攻击者可以在URL中包含任意Shell命令然后使脚本调用system()执行。
        
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-94 [对生成代码的控制不恰当(代码注入)]

- CPE (受影响的平台与产品)

cpe:/a:prodder:prodder:0.3
cpe:/a:perlpodder:perlpodder:0.3
cpe:/a:perlpodder:perlpodder:0.4
cpe:/a:perlpodder:perlpodder:0.2
cpe:/a:prodder:prodder:0.4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2548
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2548
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200605-431
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/18068
(PATCH)  BID  18068
http://www.securityfocus.com/archive/1/archive/1/434712/100/0/threaded
(VENDOR_ADVISORY)  BUGTRAQ  20060522 Prodder Remote Arbitrary Command Execution
http://www.redteam-pentesting.de/advisories/rt-sa-2006-003.php
(VENDOR_ADVISORY)  MISC  http://www.redteam-pentesting.de/advisories/rt-sa-2006-003.php
http://www.redteam-pentesting.de/advisories/rt-sa-2006-002.php
(VENDOR_ADVISORY)  MISC  http://www.redteam-pentesting.de/advisories/rt-sa-2006-002.php
http://sourceforge.net/project/shownotes.php?release_id=418189&group_id=148643
(PATCH)  CONFIRM  http://sourceforge.net/project/shownotes.php?release_id=418189&group_id=148643
http://secunia.com/advisories/20208
(VENDOR_ADVISORY)  SECUNIA  20208
http://xforce.iss.net/xforce/xfdb/26575
(UNKNOWN)  XF  perlpodder-dlset-command-execution(26575)
http://xforce.iss.net/xforce/xfdb/26568
(UNKNOWN)  XF  prodder-encurl-command-execution(26568)
http://www.vupen.com/english/advisories/2006/1905
(VENDOR_ADVISORY)  VUPEN  ADV-2006-1905
http://www.osvdb.org/25690
(UNKNOWN)  OSVDB  25690
http://securityreason.com/securityalert/942
(UNKNOWN)  SREASON  942
http://secunia.com/advisories/20238
(UNKNOWN)  SECUNIA  20238
http://archives.neohapsis.com/archives/fulldisclosure/2006-05/0567.html
(UNKNOWN)  FULLDISC  20060522 Prodder Remote Arbitrary Command Execution

- 漏洞信息

Prodder/perlpodder 播客URL 输入验证漏洞
高危 输入验证
2006-05-23 00:00:00 2007-08-13 00:00:00
远程  
        Prodder是用Perl编写的基于命令行的Podcast客户端。
        Prodder的实现上存在输入验证漏洞,远程攻击者可能利用此漏洞在客户端机器上执行任意命令。
        在使用prodder获取媒体文件索引时,prodder会从服务器所提供的XML文件获取媒体文件的URL,然后使用wget获取文件。源码类似于:
        [...]
        446 # Actually get the file
        447 my $wget_cmd = "wget -qc -a '$conf{'errorfile'}' "
        448 . "--tries=3 --timeout=20 --random-wait '$enc_url' -P '$outdir'";
        449
        450 # Background the wgets if needed - this will assume
        451 # the downloads dont fail (once they've started)
        452 $wget_cmd .= " --background" if $conf{'background'};
        453
        454
        455
        456 print "Fetching item ($enc_url)... ";
        457 if (! system($wget_cmd))
        [...]
        但没有正确的过滤448行的$enc_url,因此攻击者可以在URL中包含任意Shell命令然后使脚本调用system()执行。
        
        

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        http://prdownloads.sourceforge.net/prodder/prodder-0.5.tgz?download

- 漏洞信息

25690
Prodder enc_url Crafted URL Arbitrary Command Execution
Remote / Network Access Input Manipulation
Loss of Integrity
Vendor Verified

- 漏洞描述

Prodder contains a flaw that may allow a malicious user to remotely execute arbitrary commands. The issue is triggered because the program fails to properly sanitise input in the shape of a podcast URL before passing it to a shell command, resulting in a loss of integrity.

- 时间线

2006-05-20 2006-05-18
Unknow Unknow

- 解决方案

Upgrade to version 0.5 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站